function HsConf=nortek_HsigConf(SM)

%This is a modification of the DIWASP Hsig function used to calculate the
%95% confidence bounds for the significant wave height  
%
%Added on 9/17/08 by G. Dusek

df=SM.freqs(2)-SM.freqs(1);
ddir=abs(SM.dirs(2)-SM.dirs(1));
S=SM.S;
numFreq=size(SM.freqs,1);


%the sig wave height degF will be different since we are summing over all of the
%frequency bands.
hsigDegF=2*SM.degF*numFreq;

%Calculate the lower and upper confidence coefficients
chiUp=chi2inv(.975,hsigDegF);
chiLow=chi2inv(.025,hsigDegF);

coeffUp=hsigDegF/chiLow;
coeffLow=hsigDegF/chiUp;

%Calculate the upper and low conf bounds on the sig wave height
confUp=sqrt(coeffUp*16*sum(sum(real(S)*df*ddir)));
confLow=sqrt(coeffLow*16*sum(sum(real(S)*df*ddir)));
HsConf=[confLow,confUp];

